


int read_final_correction_word(bool party, DB_t& FCW_read)
{
    		if(!party)
		{
			int const in0 { open( "FCW0", O_RDONLY ) };
	 		size_t r = read(in0, &FCW_read,   sizeof(FCW_read));	
 		 	if(r < 0) {
     		perror("Read error");
    	 	close(in0);
	     	return 1;
 		 	}
		}
		if(party)
		{
			int const in0 { open( "FCW1", O_RDONLY ) };
	 		size_t r = read(in0, &FCW_read,   sizeof(FCW_read));	
 		 	if(r < 0) {
     		perror("Read error");
    	 	close(in0);
	     	return 1;
 		 	}
		}

        return 0;

}